EDIT - bug #6683

Use best quality media representation in image viewer on media page
06/01/2017 09:23 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.9

Severity: blocker Found in Version:

Description

The image viewer in the media page always chooses only the first representation even if this is a thumbnail image. The
representation with the best quality should be used instead.

See for example: http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/media/fb1a93d9-8c90-4b35-a1ea-belel76facac

Related issues:

Related to EDIT - bug #6969: Use media representation which best fits the ava... Closed
Related to EDIT - bug #6970: MediaUstils.fiterAndOrderMediaRepresentations p... Closed
Blocked by EDIT - bug #6684: Use media representation which best fits the ava... Closed

Associated revisions

Revision 4fa6f9ba - 06/21/2017 05:46 PM - Andreas Kohlbecker

fix #6683 using cdm_preferred_media_representations for image viewer and fixing bugs in that method

Revision 4946eebf - 06/21/2017 06:03 PM - Andreas Kohlbecker

ref #6683 bugfixes in image viewer

History

#1 - 06/01/2017 09:39 AM - Andreas Miiller

- Target version changed from cdm_dataportal - Next Major Release to Unassigned CDM tickets

#2 - 06/01/2017 10:12 AM - Andreas Kohlbecker

- Related to bug #6684: Use media representation which best fits the available viewport size for the Image Overlay added

#3 - 06/21/2017 01:51 PM - Andreas Kohlbecker
- Target version changed from Unassigned CDM tickets to Release 4.8

- Severity changed from normal to blocker

#4 - 06/21/2017 01:51 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#5 - 06/21/2017 04:05 PM - Andreas Kohlbecker

- Description updated

#6 - 06/21/2017 05:46 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|4fa6f9bae51a5c5983d9effd0b88a90dcal3cch5.

#7 - 07/07/2017 09:15 AM - Andreas Kohlbecker

- Target version changed from Release 4.8 to Release 4.9
http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/media/fb1a93d9-8c90-4b35-a1ea-be0e176facac
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/4fa6f9bae51a5c5983d9effd0b88a90dca13cc65

#8 - 07/21/2017 10:52 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

| cant really do the review since the flora of greece portal still is using the full-size images as thumbnails.
Andreas Milller: please review once the thumbnails are back

#9 - 07/21/2017 12:13 PM - Andreas Miiller

Andreas Kohlbecker wrote:

| cant really do the review since the flora of greece portal still is using the full-size images as thumbnails.
Andreas Miller: please review once the thumbnails are back

The problem is that the images can't be switched back as long as #6684 is not fixed. Otherwise they may show up in thumbnail size in overlay.

#10 - 07/21/2017 12:14 PM - Andreas Miiller

- Related to deleted (bug #6684: Use media representation which best fits the available viewport size for the Image Overlay )

#11 - 07/21/2017 12:14 PM - Andreas Miiller
- Blocked by bug #6684: Use media representation which best fits the available viewport size for the Image Overlay added

#12 - 09/21/2017 11:27 PM - Andreas Miiller

- Related to bug #6969: Use media representation which best fits the available size for taxon profile picture added

#13 - 09/22/2017 04:01 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 50 to 100

This also seems to work | tested yesterday together with #6684

#14 - 03/04/2020 10:23 AM - Andreas Kohlbecker
- Related to bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added
